diff --git a/test/integration/json_output_test.rb b/test/integration/json_output_test.rb
index 7859043..3f79ea3 100644
--- a/test/integration/json_output_test.rb
+++ b/test/integration/json_output_test.rb
@@ -26,7 +26,7 @@ class JsonOutputTest < Minitest::Test
   end
 
   def seed_execute_waiting_task(dir, slug:, reason:, worktree_path: dir)
-    execute_dir = File.join(dir, ".hive-state", "stages", "4-execute", slug)
+    execute_dir = File.join(dir, ".hive", "stages", "4-execute", slug)
     FileUtils.mkdir_p(execute_dir)
     File.write(File.join(execute_dir, "task.md"), "<!-- EXECUTE_WAITING reason=#{reason} -->\n")
     File.write(File.join(execute_dir, "plan.md"), "# Plan\n")
@@ -125,10 +125,10 @@ class JsonOutputTest < Minitest::Test
       with_tmp_git_repo do |dir|
         capture_io { Hive::Commands::Init.new(dir).call }
         capture_io { Hive::Commands::New.new(File.basename(dir), "json run probe").call }
-        slug = File.basename(Dir[File.join(dir, ".hive-state", "stages", "1-inbox", "*")].first)
-        brainstorm_dir = File.join(dir, ".hive-state", "stages", "2-brainstorm", slug)
+        slug = File.basename(Dir[File.join(dir, ".hive", "stages", "1-inbox", "*")].first)
+        brainstorm_dir = File.join(dir, ".hive", "stages", "2-brainstorm", slug)
         FileUtils.mkdir_p(File.dirname(brainstorm_dir))
-        FileUtils.mv(File.join(dir, ".hive-state", "stages", "1-inbox", slug), brainstorm_dir)
+        FileUtils.mv(File.join(dir, ".hive", "stages", "1-inbox", slug), brainstorm_dir)
 
         # Fake claude writes a WAITING brainstorm.md so report() sees that marker.
         ENV["HIVE_FAKE_CLAUDE_WRITE_FILE"] = File.join(brainstorm_dir, "brainstorm.md")
@@ -159,10 +159,10 @@ class JsonOutputTest < Minitest::Test
       with_tmp_git_repo do |dir|
         capture_io { Hive::Commands::Init.new(dir).call }
         capture_io { Hive::Commands::New.new(File.basename(dir), "json complete probe").call }
-        slug = File.basename(Dir[File.join(dir, ".hive-state", "stages", "1-inbox", "*")].first)
-        brainstorm_dir = File.join(dir, ".hive-state", "stages", "2-brainstorm", slug)
+        slug = File.basename(Dir[File.join(dir, ".hive", "stages", "1-inbox", "*")].first)
+        brainstorm_dir = File.join(dir, ".hive", "stages", "2-brainstorm", slug)
         FileUtils.mkdir_p(File.dirname(brainstorm_dir))
-        FileUtils.mv(File.join(dir, ".hive-state", "stages", "1-inbox", slug), brainstorm_dir)
+        FileUtils.mv(File.join(dir, ".hive", "stages", "1-inbox", slug), brainstorm_dir)
 
         ENV["HIVE_FAKE_CLAUDE_WRITE_FILE"] = File.join(brainstorm_dir, "brainstorm.md")
         ENV["HIVE_FAKE_CLAUDE_WRITE_CONTENT"] = "## Requirements\n- foo\n<!-- COMPLETE -->\n"
@@ -190,7 +190,7 @@ class JsonOutputTest < Minitest::Test
       with_tmp_git_repo do |dir|
         capture_io { Hive::Commands::Init.new(dir).call }
         slug = "review-complete-260426-aaaa"
-        review_dir = File.join(dir, ".hive-state", "stages", "6-review", slug)
+        review_dir = File.join(dir, ".hive", "stages", "6-review", slug)
         FileUtils.mkdir_p(review_dir)
         File.write(File.join(review_dir, "task.md"), "<!-- REVIEW_COMPLETE pass=1 browser=skipped -->\n")
 
@@ -213,7 +213,7 @@ class JsonOutputTest < Minitest::Test
       with_tmp_git_repo do |dir|
         capture_io { Hive::Commands::Init.new(dir).call }
         slug = "execute-complete-260426-aaaa"
-        execute_dir = File.join(dir, ".hive-state", "stages", "4-execute", slug)
+        execute_dir = File.join(dir, ".hive", "stages", "4-execute", slug)
         FileUtils.mkdir_p(execute_dir)
         File.write(File.join(execute_dir, "plan.md"), "# Plan\n")
         File.write(File.join(execute_dir, "task.md"), "<!-- EXECUTE_COMPLETE -->\n")
@@ -238,7 +238,7 @@ class JsonOutputTest < Minitest::Test
       with_tmp_git_repo do |dir|
         capture_io { Hive::Commands::Init.new(dir).call }
         slug = "execute-dirty-260426-aaaa"
-        execute_dir = File.join(dir, ".hive-state", "stages", "4-execute", slug)
+        execute_dir = File.join(dir, ".hive", "stages", "4-execute", slug)
         worktree_path = File.join(dir, "worktree")
         FileUtils.mkdir_p(execute_dir)
         FileUtils.mkdir_p(worktree_path)
@@ -304,7 +304,7 @@ class JsonOutputTest < Minitest::Test
       with_tmp_git_repo do |dir|
         capture_io { Hive::Commands::Init.new(dir).call }
         slug = "execute-no-change-260426-aaaa"
-        execute_dir = File.join(dir, ".hive-state", "stages", "4-execute", slug)
+        execute_dir = File.join(dir, ".hive", "stages", "4-execute", slug)
         FileUtils.mkdir_p(execute_dir)
         File.write(File.join(execute_dir, "task.md"), "<!-- EXECUTE_WAITING reason=no_worktree_changes -->\n")
         File.write(File.join(execute_dir, "plan.md"), "# Plan\n")
@@ -362,7 +362,7 @@ class JsonOutputTest < Minitest::Test
       with_tmp_git_repo do |dir|
         capture_io { Hive::Commands::Init.new(dir).call }
         slug = "execute-dirty-260426-aaaa"
-        execute_dir = File.join(dir, ".hive-state", "stages", "4-execute", slug)
+        execute_dir = File.join(dir, ".hive", "stages", "4-execute", slug)
         worktree_path = File.join(dir, "worktree")
         FileUtils.mkdir_p(execute_dir)
         FileUtils.mkdir_p(worktree_path)
@@ -428,7 +428,7 @@ class JsonOutputTest < Minitest::Test
       with_tmp_git_repo do |dir|
         capture_io { Hive::Commands::Init.new(dir).call }
         slug = "execute-no-change-260426-aaaa"
-        execute_dir = File.join(dir, ".hive-state", "stages", "4-execute", slug)
+        execute_dir = File.join(dir, ".hive", "stages", "4-execute", slug)
         FileUtils.mkdir_p(execute_dir)
         File.write(File.join(execute_dir, "task.md"), "<!-- EXECUTE_WAITING reason=no_worktree_changes -->\n")
         File.write(File.join(execute_dir, "plan.md"), "# Plan\n")
@@ -490,10 +490,10 @@ class JsonOutputTest < Minitest::Test
       with_tmp_git_repo do |dir|
         capture_io { Hive::Commands::Init.new(dir).call }
         capture_io { Hive::Commands::New.new(File.basename(dir), "json error probe").call }
-        slug = File.basename(Dir[File.join(dir, ".hive-state", "stages", "1-inbox", "*")].first)
-        brainstorm_dir = File.join(dir, ".hive-state", "stages", "2-brainstorm", slug)
+        slug = File.basename(Dir[File.join(dir, ".hive", "stages", "1-inbox", "*")].first)
+        brainstorm_dir = File.join(dir, ".hive", "stages", "2-brainstorm", slug)
         FileUtils.mkdir_p(File.dirname(brainstorm_dir))
-        FileUtils.mv(File.join(dir, ".hive-state", "stages", "1-inbox", slug), brainstorm_dir)
+        FileUtils.mv(File.join(dir, ".hive", "stages", "1-inbox", slug), brainstorm_dir)
 
         ENV["HIVE_FAKE_CLAUDE_EXIT"] = "1" # forces Agent#handle_exit to set :error
 
@@ -521,7 +521,7 @@ class JsonOutputTest < Minitest::Test
       with_tmp_git_repo do |dir|
         capture_io { Hive::Commands::Init.new(dir).call }
         slug = "review-waiting-260426-aaaa"
-        review_dir = File.join(dir, ".hive-state", "stages", "6-review", slug)
+        review_dir = File.join(dir, ".hive", "stages", "6-review", slug)
         FileUtils.mkdir_p(review_dir)
         File.write(File.join(review_dir, "task.md"),
                    "<!-- REVIEW_WAITING escalations=2 pass=1 -->\n")
@@ -556,7 +556,7 @@ class JsonOutputTest < Minitest::Test
       with_tmp_git_repo do |dir|
         capture_io { Hive::Commands::Init.new(dir).call }
         slug = "review-stale-260426-aaaa"
-        review_dir = File.join(dir, ".hive-state", "stages", "6-review", slug)
+        review_dir = File.join(dir, ".hive", "stages", "6-review", slug)
         FileUtils.mkdir_p(review_dir)
         File.write(File.join(review_dir, "task.md"),
                    "<!-- REVIEW_STALE pass=4 -->\n")
@@ -578,7 +578,7 @@ class JsonOutputTest < Minitest::Test
       with_tmp_git_repo do |dir|
         capture_io { Hive::Commands::Init.new(dir).call }
         slug = "review-ci-stale-260426-aaaa"
-        review_dir = File.join(dir, ".hive-state", "stages", "6-review", slug)
+        review_dir = File.join(dir, ".hive", "stages", "6-review", slug)
         FileUtils.mkdir_p(review_dir)
         File.write(File.join(review_dir, "task.md"),
                    "<!-- REVIEW_CI_STALE attempts=3 -->\n")
@@ -615,10 +615,10 @@ class JsonOutputTest < Minitest::Test
         with_tmp_git_repo do |dir|
           capture_io { Hive::Commands::Init.new(dir).call }
           capture_io { Hive::Commands::New.new(File.basename(dir), "kind probe #{i}").call }
-          slug = File.basename(Dir[File.join(dir, ".hive-state", "stages", "1-inbox", "*")].first)
-          brainstorm_dir = File.join(dir, ".hive-state", "stages", "2-brainstorm", slug)
+          slug = File.basename(Dir[File.join(dir, ".hive", "stages", "1-inbox", "*")].first)
+          brainstorm_dir = File.join(dir, ".hive", "stages", "2-brainstorm", slug)
           FileUtils.mkdir_p(File.dirname(brainstorm_dir))
-          FileUtils.mv(File.join(dir, ".hive-state", "stages", "1-inbox", slug), brainstorm_dir)
+          FileUtils.mv(File.join(dir, ".hive", "stages", "1-inbox", slug), brainstorm_dir)
 
           fixture[:env].each { |k, v| ENV[k] = v }
           if fixture[:content]
diff --git a/test/integration/legacy_scaffold_test.rb b/test/integration/legacy_scaffold_test.rb
new file mode 100644
index 0000000..d05202e
--- /dev/null
+++ b/test/integration/legacy_scaffold_test.rb
@@ -0,0 +1,69 @@
+require "test_helper"
+require "hive/commands/init"
+require "hive/commands/new"
+require "hive/commands/status"
+require "hive/git_ops"
+
+# Plan figure-out-way-to-install-260513-4a0a U2 scenario 2: a project
+# scaffolded under the LEGACY `.hive-state/` root keeps working end-to-end
+# (status, new, task resolution) through the read-only back-compat shim,
+# with a one-line notice. The legacy tree is never mutated by the shim.
+class LegacyScaffoldBackcompatTest < Minitest::Test
+  include HiveTestHelper
+
+  # Bootstraps a full init against an explicitly-pinned `.hive-state`
+  # basename using production GitOps (branch + worktree + stage dirs),
+  # simulating a pre-rename checkout.
+  def init_legacy_scaffold(dir)
+    capture_io do
+      ops = Hive::GitOps.new(dir, state_dir_basename: ".hive-state")
+      ops.hive_state_init
+      Hive::Config.register_project(name: File.basename(dir), path: dir)
+    end
+    assert File.directory?(File.join(dir, ".hive-state", "stages", "1-inbox"))
+    refute File.exist?(File.join(dir, ".hive")), "pre-rename tree must keep its root name"
+  end
+
+  def test_status_resolves_legacy_scaffold_with_notice
+    with_tmp_global_config do
+      with_tmp_git_repo do |dir|
+        init_legacy_scaffold(dir)
+
+        out, err = capture_io { Hive::Commands::Status.new.call }
+        assert_includes out, File.basename(dir), "registered legacy project must be listed"
+        assert_match(/legacy \.hive-state/, err, "one-line migration notice expected")
+        assert err.scan("legacy .hive-state").size <= 1, "notice fires at most once per process"
+      end
+    end
+  end
+
+  def test_config_load_reads_legacy_config_yml
+    with_tmp_global_config do
+      with_tmp_git_repo do |dir|
+        init_legacy_scaffold(dir)
+        cfg = Hive::Config.load(dir)
+        assert_equal File.expand_path(dir), cfg["project_root"]
+      end
+    end
+  end
+
+  def test_new_command_creates_task_inside_legacy_tree
+    with_tmp_global_config do
+      with_tmp_git_repo do |dir|
+        init_legacy_scaffold(dir)
+        out = capture_io { Hive::Commands::New.new(File.basename(dir), "legacy flow probe").call }.first
+        assert_includes out, "captured" if out.respond_to?(:include?) && !out.empty?
+        entries = Dir[File.join(dir, ".hive-state", "stages", "1-inbox", "*")].reject { |p| p.end_with?(".gitkeep") }
+        refute_empty entries, "`hive new` must write into the legacy root via back-compat"
+      end
+    ensure
+      reset_notice
+    end
+  end
+
+  private
+
+  def reset_notice
+    Hive.legacy_notice_announced = false
+  end
+end
diff --git a/test/integration/markers_command_test.rb b/test/integration/markers_command_test.rb
index 84701f1..538f4a2 100644
--- a/test/integration/markers_command_test.rb
+++ b/test/integration/markers_command_test.rb
@@ -19,8 +19,8 @@ class MarkersCommandTest < Minitest::Test
     capture_io { Hive::Commands::Init.new(dir).call }
     project = File.basename(dir)
     capture_io { Hive::Commands::New.new(project, "markers probe").call }
-    inbox = Dir[File.join(dir, ".hive-state", "stages", "1-inbox", "*")].first
-    review = File.join(dir, ".hive-state", "stages", "6-review", File.basename(inbox))
+    inbox = Dir[File.join(dir, ".hive", "stages", "1-inbox", "*")].first
+    review = File.join(dir, ".hive", "stages", "6-review", File.basename(inbox))
     FileUtils.mkdir_p(File.dirname(review))
     FileUtils.mv(inbox, review)
 
@@ -61,7 +61,7 @@ class MarkersCommandTest < Minitest::Test
                      "after clearing the only marker the file is markerless"
 
         # hive_commit was recorded on the hive/state branch.
-        log = `git -C #{File.join(dir, ".hive-state")} log --format=%s -1`.strip
+        log = `git -C #{File.join(dir, ".hive")} log --format=%s -1`.strip
         assert_match(/markers clear REVIEW_STALE/, log,
                      "hive_commit must record the clear action")
       end
@@ -289,8 +289,8 @@ class MarkersCommandTest < Minitest::Test
     capture_io { Hive::Commands::Init.new(dir).call }
     project = File.basename(dir)
     capture_io { Hive::Commands::New.new(project, "match-attr probe").call }
-    inbox = Dir[File.join(dir, ".hive-state", "stages", "1-inbox", "*")].first
-    review = File.join(dir, ".hive-state", "stages", "6-review", File.basename(inbox))
+    inbox = Dir[File.join(dir, ".hive", "stages", "1-inbox", "*")].first
+    review = File.join(dir, ".hive", "stages", "6-review", File.basename(inbox))
     FileUtils.mkdir_p(File.dirname(review))
     FileUtils.mv(inbox, review)
 
diff --git a/test/integration/migrate_test.rb b/test/integration/migrate_test.rb
index 411097e..c2ddbc1 100644
--- a/test/integration/migrate_test.rb
+++ b/test/integration/migrate_test.rb
@@ -9,7 +9,7 @@ class MigrateTest < Minitest::Test
     with_tmp_global_config do
       with_tmp_git_repo do |dir|
         capture_io { Hive::Commands::Init.new(dir).call }
-        stages = File.join(dir, ".hive-state", "stages")
+        stages = File.join(dir, ".hive", "stages")
         {
           "5-review" => "old-review-260513-abcd",
           "6-pr" => "old-pr-260513-abcd",
@@ -33,7 +33,7 @@ class MigrateTest < Minitest::Test
     with_tmp_global_config do
       with_tmp_git_repo do |dir|
         capture_io { Hive::Commands::Init.new(dir).call }
-        stages = File.join(dir, ".hive-state", "stages")
+        stages = File.join(dir, ".hive", "stages")
         old = File.join(stages, "5-review", "same-260513-abcd")
         current = File.join(stages, "6-review", "same-260513-abcd")
         FileUtils.mkdir_p(old)
@@ -57,7 +57,7 @@ class MigrateTest < Minitest::Test
     with_tmp_global_config do
       with_tmp_git_repo do |dir|
         capture_io { Hive::Commands::Init.new(dir).call }
-        stages = File.join(dir, ".hive-state", "stages")
+        stages = File.join(dir, ".hive", "stages")
         review_slug = "review-260513-aaaa"
         pr_slug = "pr-260513-bbbb"
         # Set up a clean 5-review→6-review path (would succeed alone)
@@ -86,7 +86,7 @@ class MigrateTest < Minitest::Test
     with_tmp_global_config do
       with_tmp_git_repo do |dir|
         capture_io { Hive::Commands::Init.new(dir).call }
-        stages = File.join(dir, ".hive-state", "stages")
+        stages = File.join(dir, ".hive", "stages")
         FileUtils.mkdir_p(File.join(stages, "5-review", ".DS_Store"))
         FileUtils.mkdir_p(File.join(stages, "5-review", "real-260513-aaaa"))
 
@@ -106,7 +106,7 @@ class MigrateTest < Minitest::Test
     with_tmp_global_config do
       with_tmp_git_repo do |dir|
         capture_io { Hive::Commands::Init.new(dir).call }
-        stages = File.join(dir, ".hive-state", "stages")
+        stages = File.join(dir, ".hive", "stages")
         hive_state = File.dirname(stages)
         FileUtils.mkdir_p(File.join(stages, "5-review", "demo-260513-aaaa"))
         File.write(File.join(stages, "5-review", "demo-260513-aaaa", "task.md"), "x\n")
@@ -129,7 +129,7 @@ class MigrateTest < Minitest::Test
     with_tmp_global_config do
       with_tmp_git_repo do |dir|
         capture_io { Hive::Commands::Init.new(dir).call }
-        cfg_path = File.join(dir, ".hive-state", "config.yml")
+        cfg_path = File.join(dir, ".hive", "config.yml")
         cfg = YAML.safe_load(File.read(cfg_path))
         # Set ONLY the legacy keys (delete the canonical to prove the
         # rewrite happens). When both keys exist post-rewrite, the
@@ -161,7 +161,7 @@ class MigrateTest < Minitest::Test
     with_tmp_global_config do
       with_tmp_git_repo do |dir|
         capture_io { Hive::Commands::Init.new(dir).call }
-        cfg_path = File.join(dir, ".hive-state", "config.yml")
+        cfg_path = File.join(dir, ".hive", "config.yml")
         cfg = YAML.safe_load(File.read(cfg_path))
         cfg["budget_usd"] ||= {}
         cfg["budget_usd"]["finalize"] = 99
diff --git a/test/integration/new_test.rb b/test/integration/new_test.rb
index 05ce6f8..977bbb7 100644
--- a/test/integration/new_test.rb
+++ b/test/integration/new_test.rb
@@ -24,7 +24,7 @@ class NewTest < Minitest::Test
         project = File.basename(dir)
         _, _err = capture_io { Hive::Commands::New.new(project, "add inbox filter").call }
 
-        glob = Dir[File.join(dir, ".hive-state", "stages", "1-inbox", "add-inbox-filter-*")]
+        glob = Dir[File.join(dir, ".hive", "stages", "1-inbox", "add-inbox-filter-*")]
         assert_equal 1, glob.size, "expected one task folder, got #{glob.inspect}"
         idea = File.read(File.join(glob.first, "idea.md"))
         assert_includes idea, "add inbox filter"
@@ -32,7 +32,7 @@ class NewTest < Minitest::Test
         refute File.directory?(File.join(glob.first, "assets")),
                "plain CLI-compatible ideas must not create an empty assets directory"
 
-        log = `git -C #{File.join(dir, ".hive-state")} log --format=%s -1`.strip
+        log = `git -C #{File.join(dir, ".hive")} log --format=%s -1`.strip
         assert_match(%r{\Ahive: 1-inbox/add-inbox-filter-\d{6}-[0-9a-f]{4} captured\z}, log)
       end
     end
@@ -44,7 +44,7 @@ class NewTest < Minitest::Test
         setup_project { initialize_project(dir) }
         project = File.basename(dir)
         capture_io { Hive::Commands::New.new(project, "добавить inbox фильтр").call }
-        glob = Dir[File.join(dir, ".hive-state", "stages", "1-inbox", "*")]
+        glob = Dir[File.join(dir, ".hive", "stages", "1-inbox", "*")]
         assert_equal 1, glob.size
         # Cyrillic strips to "inbox"; final slug starts with "inbox-".
         assert_match(/\Ainbox-/, File.basename(glob.first))
@@ -58,7 +58,7 @@ class NewTest < Minitest::Test
         setup_project { initialize_project(dir) }
         project = File.basename(dir)
         capture_io { Hive::Commands::New.new(project, "!!! ???").call }
-        glob = Dir[File.join(dir, ".hive-state", "stages", "1-inbox", "*")]
+        glob = Dir[File.join(dir, ".hive", "stages", "1-inbox", "*")]
         assert_equal 1, glob.size
         assert_match(/\Atask-\d{6}-[0-9a-f]{4}\z/, File.basename(glob.first))
       end
@@ -73,7 +73,7 @@ class NewTest < Minitest::Test
         # Two single "words" that together exceed the 64-char slug limit.
         long_text = "#{'a' * 80} #{'b' * 80}"
         capture_io { Hive::Commands::New.new(project, long_text).call }
-        glob = Dir[File.join(dir, ".hive-state", "stages", "1-inbox", "*")]
+        glob = Dir[File.join(dir, ".hive", "stages", "1-inbox", "*")]
         assert_equal 1, glob.size, "long text must not cause new to reject its own derived slug"
         slug = File.basename(glob.first)
         assert_operator slug.length, :<=, 64, "derived slug must always fit SLUG_RE max length"
@@ -88,7 +88,7 @@ class NewTest < Minitest::Test
         setup_project { initialize_project(dir) }
         project = File.basename(dir)
         capture_io { Hive::Commands::New.new(project, "one two three four five six seven eight").call }
-        glob = Dir[File.join(dir, ".hive-state", "stages", "1-inbox", "*")]
+        glob = Dir[File.join(dir, ".hive", "stages", "1-inbox", "*")]
         assert_equal 1, glob.size
         slug = File.basename(glob.first)
         assert_match(/\Aone-two-three-four-five-\d{6}-[0-9a-f]{4}\z/, slug)
@@ -119,7 +119,7 @@ class NewTest < Minitest::Test
         setup_project { initialize_project(dir) }
         project = File.basename(dir)
         capture_io { Hive::Commands::New.new(project, "x", slug_override: "manual-slug-260424-aaaa").call }
-        assert File.directory?(File.join(dir, ".hive-state", "stages", "1-inbox", "manual-slug-260424-aaaa"))
+        assert File.directory?(File.join(dir, ".hive", "stages", "1-inbox", "manual-slug-260424-aaaa"))
       end
     end
   end
@@ -168,7 +168,7 @@ class NewTest < Minitest::Test
           ).call!
         end
 
-        glob = Dir[File.join(dir, ".hive-state", "stages", "1-inbox", "title-*")]
+        glob = Dir[File.join(dir, ".hive", "stages", "1-inbox", "title-*")]
         assert_equal 1, glob.size
         idea = File.read(File.join(glob.first, "idea.md"))
         assert_includes idea, "original_text: |\n  title"
@@ -178,7 +178,7 @@ class NewTest < Minitest::Test
         asset = File.join(glob.first, "assets", "bug-1.png")
         assert_equal "png-fixture", File.binread(asset)
 
-        hive_state = File.join(dir, ".hive-state")
+        hive_state = File.join(dir, ".hive")
         log = run!("git", "-C", hive_state, "log", "--format=%s", "-1").strip
         assert_match(%r{\Ahive: 1-inbox/title-\d{6}-[0-9a-f]{4} captured\z}, log)
         diff_files = run!("git", "-C", hive_state, "show", "--name-only", "--format=")
@@ -209,7 +209,7 @@ class NewTest < Minitest::Test
             ).call!
           end
 
-          glob = Dir[File.join(dir, ".hive-state", "stages", "1-inbox", "outside-attachment-*")]
+          glob = Dir[File.join(dir, ".hive", "stages", "1-inbox", "outside-attachment-*")]
           assert_equal 1, glob.size
           assert_equal "outside-tmp", File.binread(File.join(glob.first, "assets", "bug-1.png"))
         end
@@ -240,7 +240,7 @@ class NewTest < Minitest::Test
         end
         assert_match(/invalid attachment filename/, err.message)
         # Rollback should have removed the partial task dir on failure.
-        assert_empty Dir[File.join(dir, ".hive-state", "stages", "1-inbox", "title-traversal-*")],
+        assert_empty Dir[File.join(dir, ".hive", "stages", "1-inbox", "title-traversal-*")],
           "attachment guard failure must roll back the partial task directory"
       end
     end
diff --git a/test/integration/prompt_injection_test.rb b/test/integration/prompt_injection_test.rb
index b15b2a8..f1326aa 100644
--- a/test/integration/prompt_injection_test.rb
+++ b/test/integration/prompt_injection_test.rb
@@ -33,7 +33,7 @@ class PromptInjectionTest < Minitest::Test
   # setup/teardown — each call to user_supplied_tag returns a fresh value.
 
   def make_task(dir, stage = "2-brainstorm", slug = "inj-test-260424-aaaa")
-    folder = File.join(dir, ".hive-state", "stages", stage, slug)
+    folder = File.join(dir, ".hive", "stages", stage, slug)
     FileUtils.mkdir_p(folder)
     Hive::Task.new(folder)
   end
diff --git a/test/integration/prune_command_test.rb b/test/integration/prune_command_test.rb
index 0c1886c..3e628f8 100644
--- a/test/integration/prune_command_test.rb
+++ b/test/integration/prune_command_test.rb
@@ -136,7 +136,7 @@ class PruneCommandTest < Minitest::Test
           File.join(home, "config.yml"),
           {
             "registered_projects" => [
-              { "name" => "live", "path" => live_dir, "hive_state_path" => File.join(live_dir, ".hive-state") },
+              { "name" => "live", "path" => live_dir, "hive_state_path" => File.join(live_dir, ".hive") },
               "garbage-non-hash-row",
               { "name" => "missing-path-key" }
             ]
@@ -263,7 +263,7 @@ class PruneCommandTest < Minitest::Test
         File.join(home, "config.yml"),
         {
           "registered_projects" => [
-            { "name" => "rel-gone", "path" => "relative/that/does/not/exist", "hive_state_path" => "relative/that/does/not/exist/.hive-state" }
+            { "name" => "rel-gone", "path" => "relative/that/does/not/exist", "hive_state_path" => "relative/that/does/not/exist/.hive" }
           ]
         }.to_yaml
       )
